<template>
  <div>
    <Vuemik
        :initial-values="{
            password: '',
            confirm_password: '',
        }"
        :on-submit="submit"
        :violations="user.violationsPassword"
        v-slot="{ handleSubmit }"
    >
      <div class="relative">
        <Field
            component="input"
            label="Mot de passe"
            name="password"
            type="password"
            placeholder="Mot de passe"
        />
      </div>
      <div class="relative">
        <Field
            component="input"
            label="Confirmer mot de passe"
            name="confirm_password"
            type="password"
            placeholder="Confirmer mot de passe"
        />
      </div>
      <Field
          component="input"
          type="button"
          value="Modifier mon mot de passe"
          @click="handleSubmit"
      />
    </Vuemik>
    <span
    >Votre mot de passe doit comporter au minimun 10 caractères (dont au
        moins une majuscule, une miniscule, un chiffre et un caractère
        spécial)</span
    >
  </div>
</template>
<script>
import Vuemik from "@/components/Form/Vuemik.vue";
import Field from "@/components/Form/Field.vue";

export default {
  name: "ForgotPasswordForm",
  components: {
    Vuemik,
    Field,
  },
  inject: ["user"],
  props: {
    submit: Function,
  }

}
</script>
